/!--Album Modal--
#albumModal.modal.fade[tabindex="-1" role="dialog" aria-hidden="true"]
  #modal-image.modal-dialog.modal-dialog-centered.modal-lg[role="document"]
    .modal-content
      /!--Carousel Wrapper--
      #album-carousel.carousel.slide.carousel-fade[data-ride="carousel"]
        /!--Indicators--
        ol.carousel-indicators
          - for i in 0...album.photos.count
            li[ data-target="#album-carousel"
                data-slide-to="#{i}"
                class="#{"active" if i == 0}" ]
        /!--End Indicators--
        /!--Slides--
        .carousel-inner[role="listbox"]
          - album.photos.each_with_index do |photo,i|
            div[class="carousel-item #{"active" if i == 0}"]
              .view
                = image_tag photo.image.url(:medium), :class => "d-block w-100", :alt => "Slide-#{i}"
                .mask.rgba-black-light
                .carousel-caption
                  h3.h3-responsive
                    = album.title
                  p
                    = album.description
        /!--End Slides--
        /!--Controls--
        a.carousel-control-prev[href="#album-carousel" role="button" data-slide="prev"]
          span.carousel-control-prev-icon[aria-hidden="true"]
          span.sr-only
            | Previous
        a.carousel-control-next[href="#album-carousel" role="button" data-slide="next"]
          span.carousel-control-next-icon[aria-hidden="true"]
          span.sr-only
            | Next
        /!--End Controls--
      hr/
      .modal-comments
        = render partial: "comments/comments", locals: { commentable: album }
        = render partial: "comments/form", locals: { commentable: album }

